
<!-- <div>
  {{ title }}
  <br>
  <button (click)="onButtonClick()">Mudar Valor</button>
</div> -->
<!-- <p>
  Item: {{ item }}
</p> -->

<div *ngIf="mostrarContador">
  <p>
    Contador: {{ counter }}
  </p>
  <button (click)="onAddButtonClick()">Add</button>
  <button (click)="onSubButtonClick()">Sub</button>
</div>

<div *ngIf="counter > avisar; else counterElse" [ngClass]="counter>avisar ? 'maior' : 'menor'" >
  O contador é maior que {{ avisar }}
</div>
<ng-template #counterElse>
  <div [ngClass]="counter>=avisar ? 'maior' : 'menor'">
      O contador não é maior que {{ avisar }}
  </div>
</ng-template>

<ul>
  valor: {{item}}
  <br>
  indice: {{indice}}
  <br>
  <div *ngIf="item == 4">
    Item igual a 4
  </div>
  <button (click)="onLoginButtonClick(indice)">Login</button>
  <button (click)="onDeleteButtonClick(indice)">Delete</button>
</ul>
